Bug 1487234 - Volume Deletion Button Method Not Define
Summary: Volume Deletion Button Method Not Define
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Sam Lucidi
QA Contact: Nikhil Dhandre
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-31 13:26 UTC by Nikhil Dhandre
Modified: 2019-02-07 23:02 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:39 UTC
Category: Bug
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)
video (1.39 MB, video/x-flv)
2017-08-31 13:26 UTC, Nikhil Dhandre
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:48 UTC

Description Nikhil Dhandre 2017-08-31 13:26:29 UTC
Created attachment 1320590 [details]
video

Description of problem:


Version-Release number of selected component (if applicable):
Version 5.8.2.0.20170824192913_b09a5f8 

How reproducible:
Always

Steps to Reproduce:
1. navigate to >> Storage > Block Storage > Volumes
2. Volume not available please add it.
3. Configuration > Delete this Cloud Volume

Actual results:
You will get Unexpected error

Expected results:
Button Method has to Implement. 

Additional info:

Comment 2 Dave Johnson 2017-09-01 20:40:59 UTC
Is this with all providers supporting volume create which is OSP and EC2 only???  Is this with no providers and an issue of greying out the button?  What happens in 5.8.1?

Comment 3 Dave Johnson 2017-09-01 20:42:12 UTC
If this is new to 5.8.2, please mark regression keyword and propose blocker flag.

Comment 9 Sam Lucidi 2017-11-07 15:58:09 UTC
This appears to happen when the volume is queued to be deleted, and then another attempt to delete it is made before refresh has completed. On the back end the volume has already been removed, so the subsequent attempt fails. The delete volume functionality works correctly, but it needs some handling for this case.

Comment 14 Jad Haj Yahya 2018-07-02 17:05:04 UTC
Verified on 5.10.0.2

Comment 15 errata-xmlrpc 2019-02-07 23:02:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.